com.impinj.stp

## Enum StpApi.InventorySearchMode

- java.lang.Object
- - java.lang.Enum<StpApi.InventorySearchMode>
  - - com.impinj.stp.StpApi.InventorySearchMode

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, java.io.Serializable, java.lang.Comparable<StpApi.InventorySearchMode>
  Enclosing class:
    StpApi

      public static enum StpApi.InventorySearchMode
      extends java.lang.Enum<StpApi.InventorySearchMode>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `Impinj.STP.InventorySearchMode` How to inventory tags.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INVENTORY_SEARCH_MODE_CARTON_STAGE_1` ItemVerify Inventory Search Mode 1
    `INVENTORY_SEARCH_MODE_CARTON_STAGE_2` ItemVerify Inventory Search Mode 2
    `INVENTORY_SEARCH_MODE_DUAL_TARGET` Inventory tags from A to B state and back to A.
    `INVENTORY_SEARCH_MODE_SINGLE_TARGET_A_TO_B` Inventory tags from A to B state.
    `INVENTORY_SEARCH_MODE_SINGLE_TARGET_A_TO_B_MONZA_TAGFOCUS` Inventory tags from A to B state with boost.
    `INVENTORY_SEARCH_MODE_SINGLE_TARGET_B_TO_A` Inventory tags from B to A state.
    `INVENTORY_SEARCH_MODE_SINGLE_TARGET_B_TO_A_MONZA_TAGFOCUS` Inventory tags from B to A state with boost.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INVENTORY_SEARCH_MODE_CARTON_STAGE_1_VALUE` ItemVerify Inventory Search Mode 1
    `static int` | `INVENTORY_SEARCH_MODE_CARTON_STAGE_2_VALUE` ItemVerify Inventory Search Mode 2
    `static int` | `INVENTORY_SEARCH_MODE_DUAL_TARGET_VALUE` Inventory tags from A to B state and back to A.
    `static int` | `INVENTORY_SEARCH_MODE_SINGLE_TARGET_A_TO_B_MONZA_TAGFOCUS_VALUE` Inventory tags from A to B state with boost.
    `static int` | `INVENTORY_SEARCH_MODE_SINGLE_TARGET_A_TO_B_VALUE` Inventory tags from A to B state.
    `static int` | `INVENTORY_SEARCH_MODE_SINGLE_TARGET_B_TO_A_MONZA_TAGFOCUS_VALUE` Inventory tags from B to A state with boost.
    `static int` | `INVENTORY_SEARCH_MODE_SINGLE_TARGET_B_TO_A_VALUE` Inventory tags from B to A state.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<StpApi.InventorySearchMode>` | `internalGetValueMap()`
    `static StpApi.InventorySearchMode` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static StpApi.InventorySearchMode` | `valueOf(int value)`
    `static StpApi.InventorySearchMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StpApi.InventorySearchMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVENTORY_SEARCH_MODE_DUAL_TARGET

          public static final StpApi.InventorySearchMode INVENTORY_SEARCH_MODE_DUAL_TARGET

      Inventory tags from A to B state and back to A.

    - #### INVENTORY_SEARCH_MODE_SINGLE_TARGET_A_TO_B

          public static final StpApi.InventorySearchMode INVENTORY_SEARCH_MODE_SINGLE_TARGET_A_TO_B

      Inventory tags from A to B state.

    - #### INVENTORY_SEARCH_MODE_SINGLE_TARGET_B_TO_A

          public static final StpApi.InventorySearchMode INVENTORY_SEARCH_MODE_SINGLE_TARGET_B_TO_A

      Inventory tags from B to A state.

    - #### INVENTORY_SEARCH_MODE_SINGLE_TARGET_A_TO_B_MONZA_TAGFOCUS

          public static final StpApi.InventorySearchMode INVENTORY_SEARCH_MODE_SINGLE_TARGET_A_TO_B_MONZA_TAGFOCUS

      Inventory tags from A to B state with boost.

    - #### INVENTORY_SEARCH_MODE_SINGLE_TARGET_B_TO_A_MONZA_TAGFOCUS

          public static final StpApi.InventorySearchMode INVENTORY_SEARCH_MODE_SINGLE_TARGET_B_TO_A_MONZA_TAGFOCUS

      Inventory tags from B to A state with boost.

    - #### INVENTORY_SEARCH_MODE_CARTON_STAGE_1

          public static final StpApi.InventorySearchMode INVENTORY_SEARCH_MODE_CARTON_STAGE_1

      ItemVerify Inventory Search Mode 1

    - #### INVENTORY_SEARCH_MODE_CARTON_STAGE_2

          public static final StpApi.InventorySearchMode INVENTORY_SEARCH_MODE_CARTON_STAGE_2

      ItemVerify Inventory Search Mode 2

  - ### Field Detail

    - #### INVENTORY_SEARCH_MODE_DUAL_TARGET_VALUE

          public static final int INVENTORY_SEARCH_MODE_DUAL_TARGET_VALUE

      Inventory tags from A to B state and back to A.
      See Also:
        Constant Field Values

    - #### INVENTORY_SEARCH_MODE_SINGLE_TARGET_A_TO_B_VALUE

          public static final int INVENTORY_SEARCH_MODE_SINGLE_TARGET_A_TO_B_VALUE

      Inventory tags from A to B state.
      See Also:
        Constant Field Values

    - #### INVENTORY_SEARCH_MODE_SINGLE_TARGET_B_TO_A_VALUE

          public static final int INVENTORY_SEARCH_MODE_SINGLE_TARGET_B_TO_A_VALUE

      Inventory tags from B to A state.
      See Also:
        Constant Field Values

    - #### INVENTORY_SEARCH_MODE_SINGLE_TARGET_A_TO_B_MONZA_TAGFOCUS_VALUE

          public static final int INVENTORY_SEARCH_MODE_SINGLE_TARGET_A_TO_B_MONZA_TAGFOCUS_VALUE

      Inventory tags from A to B state with boost.
      See Also:
        Constant Field Values

    - #### INVENTORY_SEARCH_MODE_SINGLE_TARGET_B_TO_A_MONZA_TAGFOCUS_VALUE

          public static final int INVENTORY_SEARCH_MODE_SINGLE_TARGET_B_TO_A_MONZA_TAGFOCUS_VALUE

      Inventory tags from B to A state with boost.
      See Also:
        Constant Field Values

    - #### INVENTORY_SEARCH_MODE_CARTON_STAGE_1_VALUE

          public static final int INVENTORY_SEARCH_MODE_CARTON_STAGE_1_VALUE

      ItemVerify Inventory Search Mode 1
      See Also:
        Constant Field Values

    - #### INVENTORY_SEARCH_MODE_CARTON_STAGE_2_VALUE

          public static final int INVENTORY_SEARCH_MODE_CARTON_STAGE_2_VALUE

      ItemVerify Inventory Search Mode 2
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static StpApi.InventorySearchMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StpApi.InventorySearchMode c : StpApi.InventorySearchMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StpApi.InventorySearchMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static StpApi.InventorySearchMode valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<StpApi.InventorySearchMode> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static StpApi.InventorySearchMode valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)